# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TShape1 Class Reference

`#include <PTopoDS_TShape1.hxx>`

Inheritance diagram for PTopoDS_TShape1:

[legend]

## Public Member Functions

virtual Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const =0
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
Standard_EXPORT Standard_Boolean | Modified () const
| Returns the modification flag. .
Standard_EXPORT void | Modified (const Standard_Boolean M)
| Sets the modification flag. .
Standard_EXPORT Standard_Boolean | Checked () const
| Returns the checked flag. .
Standard_EXPORT void | Checked (const Standard_Boolean C)
| Sets the checked flag. .
Standard_EXPORT Standard_Boolean | Orientable () const
| Returns the orientability flag. .
Standard_EXPORT void | Orientable (const Standard_Boolean C)
| Sets the orientability flag. .
Standard_EXPORT Standard_Boolean | Closed () const
| Returns the closedness flag. .
Standard_EXPORT void | Closed (const Standard_Boolean C)
| Sets the closedness flag. .
Standard_EXPORT Standard_Boolean | Infinite () const
| Returns the infinity flag. .
Standard_EXPORT void | Infinite (const Standard_Boolean C)
| Sets the infinity flag. .
Standard_EXPORT Standard_Boolean | Convex () const
| Returns the convexness flag. .
Standard_EXPORT void | Convex (const Standard_Boolean C)
| Sets the convexness flag. .
Standard_EXPORT Handle_PTopoDS_HArray1OfShape1 | Shapes () const
| Returns the hshape list .
Standard_EXPORT PTopoDS_Shape1 | Shapes (const Standard_Integer I) const
| Returns the i th element of the Shape1 list .
Standard_EXPORT void | Shapes (const Handle(PTopoDS_HArray1OfShape1)&S)
| Sets the Shape1 list .
Standard_EXPORT void | Shapes (const Standard_Integer I, const PTopoDS_Shape1 &S)
| Sets the i th element of the hshape list .
| PTopoDS_TShape1 (const Storage_stCONSTclCOM &a)
| Handle (PTopoDS_HArray1OfShape1) _CSFDB_GetPTopoDS_TShape1myShapes() const
void | _CSFDB_SetPTopoDS_TShape1myShapes (const Handle(PTopoDS_HArray1OfShape1)&p)
Standard_Integer | _CSFDB_GetPTopoDS_TShape1myFlags () const
void | _CSFDB_SetPTopoDS_TShape1myFlags (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | PTopoDS_TShape1 ()

## Private Attributes

Handle_PTopoDS_HArray1OfShape1 | myShapes
Standard_Integer | myFlags

## Constructor & Destructor Documentation

PTopoDS_TShape1::PTopoDS_TShape1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PTopoDS_TShape1::PTopoDS_TShape1 | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_Integer PTopoDS_TShape1::_CSFDB_GetPTopoDS_TShape1myFlags | ( |  | ) | const`[inline]`

void PTopoDS_TShape1::_CSFDB_SetPTopoDS_TShape1myFlags | ( | const Standard_Integer | p | ) | `[inline]`

void PTopoDS_TShape1::_CSFDB_SetPTopoDS_TShape1myShapes | ( | const Handle(PTopoDS_HArray1OfShape1)& | p | ) | `[inline]`

Standard_EXPORT void PTopoDS_TShape1::Checked | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape1::Checked | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape1::Closed | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape1::Closed | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape1::Convex | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape1::Convex | ( |  | ) | const

Standard_EXPORT const PTopoDS_TShape1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PBRep_TEdge1, PBRep_TFace1, PBRep_TVertex1, PTopoDS_TCompound1, PTopoDS_TCompSolid1, PTopoDS_TEdge1, PTopoDS_TFace1, PTopoDS_TShell1, PTopoDS_TSolid1, PTopoDS_TVertex1, and PTopoDS_TWire1.

PTopoDS_TShape1::Handle | ( | PTopoDS_HArray1OfShape1 |  | ) | const`[inline]`

Standard_EXPORT void PTopoDS_TShape1::Infinite | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape1::Infinite | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape1::Modified | ( | const Standard_Boolean | M | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape1::Modified | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape1::Orientable | ( | const Standard_Boolean | C | ) |

Standard_EXPORT Standard_Boolean PTopoDS_TShape1::Orientable | ( |  | ) | const

Standard_EXPORT void PTopoDS_TShape1::Shapes | ( | const Standard_Integer | I,
|  | const PTopoDS_Shape1 & | S
| ) |

Standard_EXPORT void PTopoDS_TShape1::Shapes | ( | const Handle(PTopoDS_HArray1OfShape1)& | S | ) |

Standard_EXPORT PTopoDS_Shape1 PTopoDS_TShape1::Shapes | ( | const Standard_Integer | I | ) | const

Standard_EXPORT Handle_PTopoDS_HArray1OfShape1 PTopoDS_TShape1::Shapes | ( |  | ) | const

virtual Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TShape1::ShapeType | ( |  | ) | const`[pure virtual]`

| Implemented in PTopoDS_TCompound1, PTopoDS_TCompSolid1, PTopoDS_TEdge1, PTopoDS_TFace1, PTopoDS_TShell1, PTopoDS_TSolid1, PTopoDS_TVertex1, and PTopoDS_TWire1.

## Field Documentation

Standard_Integer PTopoDS_TShape1::myFlags `[private]`

| Reimplemented in PBRep_TEdge1.

Handle_PTopoDS_HArray1OfShape1 PTopoDS_TShape1::myShapes `[private]`

The documentation for this class was generated from the following file:

- PTopoDS_TShape1.hxx